/*
 * $QNXLicenseC:
 * Copyright 2016, QNX Software Systems.
 * Copyright 2016, Freescale Semiconductor, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"). You
 * may not reproduce, modify or distribute this software except in
 * compliance with the License. You may obtain a copy of the License
 * at: http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OF ANY KIND, either express or implied.
 *
 * This file may contain contributions from others, either as
 * contributors under the License or as licensors under other terms.
 * Please review this entire file for other proprietary rights or license
 * notices, as well as the QNX Development Suite License Guide at
 * http://licensing.qnx.com/license-guide/ for other information.
 * $
 */

#include "ipl_mx6x.h"
#include <arm/mx6x.h>

#define DCD_ENTRY(entry, address, value)   \
dcd_entry_##entry:                              \
                  .word LE_2_BE_32(address);    \
                  .word LE_2_BE_32(value);      \

.section ".text.imageheader", "x"
start:
    b       _start
    .org    IVT_OFFSET

ivt_header:         .word 0x402000D1 /* Tag = 0xD1, Length = 0x0020 (32 bytes), Version = 0x40 */
entry:              .word _start
reserved1:          .word 0x0
dcd_ptr:            .word dcd_hdr
boot_data_ptr:      .word boot_data
self_ptr:           .word ivt_header
csf:                .word 0x0
reserved2:          .word 0x0

/* IPL Destination addr. Should be identical to the definition in ld file */
boot_data:          .word start
image_len:          .word _ecopy - start + 0x400
plugin:             .word 0x0

/* Null Device Configuration Data Table */
dcd_hdr:            .word 0x400000D2 /* Tag=0xD2, Len=0, Ver=0x40 */
write_dcd_cmd:      .word 0x040000CC /* Tag=0xCC, Len=0, Param=0x04 */
