/*
 * $QNXLicenseC: 
 * Copyright 2013, QNX Software Systems.  
 *  
 * Licensed under the Apache License, Version 2.0 (the "License"). You  
 * may not reproduce, modify or distribute this software except in  
 * compliance with the License. You may obtain a copy of the License  
 * at: http://www.apache.org/licenses/LICENSE-2.0  
 *  
 * Unless required by applicable law or agreed to in writing, software  
 * distributed under the License is distributed on an "AS IS" basis,  
 * WITHOUT WARRANTIES OF ANY KIND, either express or implied. 
 * 
 * This file may contain contributions from others, either as  
 * contributors under the License or as licensors under other terms.   
 * Please review this entire file for other proprietary rights or license  
 * notices, as well as the QNX Development Suite License Guide at  
 * http://licensing.qnx.com/license-guide/ for other information. 
 * $ 
 */
 
 
#ifndef _ATSAMA5D3X_IOMUX_H__
#define _ATSAMA5D3X_IOMUX_H__


/* PIOs flat indexed */
#define PIN_PA0          0		// Bank A
#define PIN_PA1          1		// ...
#define PIN_PA2          2		// ..
#define PIN_PA3          3		// .
#define PIN_PA4          4
#define PIN_PA5          5
#define PIN_PA6          6
#define PIN_PA7          7
#define PIN_PA8          8
#define PIN_PA9          9
#define PIN_PA10         10
#define PIN_PA11         11
#define PIN_PA12         12
#define PIN_PA13         13
#define PIN_PA14         14
#define PIN_PA15         15
#define PIN_PA16         16
#define PIN_PA17         17
#define PIN_PA18         18
#define PIN_PA19         19
#define PIN_PA20         20
#define PIN_PA21         21
#define PIN_PA22         22
#define PIN_PA23         23
#define PIN_PA24         24
#define PIN_PA25         25
#define PIN_PA26         26
#define PIN_PA27         27
#define PIN_PA28         28
#define PIN_PA29         29
#define PIN_PA30         30
#define PIN_PA31         31
#define PIN_PB0          32		// Bank B
#define PIN_PB1          33		// ...
#define PIN_PB2          34		// ..
#define PIN_PB3          35		// .
#define PIN_PB4          36
#define PIN_PB5          37
#define PIN_PB6          38
#define PIN_PB7          39
#define PIN_PB8          40
#define PIN_PB9          41
#define PIN_PB10         42
#define PIN_PB11         43
#define PIN_PB12         44
#define PIN_PB13         45
#define PIN_PB14         46
#define PIN_PB15         47
#define PIN_PB16         48
#define PIN_PB17         49
#define PIN_PB18         50
#define PIN_PB19         51
#define PIN_PB20         52
#define PIN_PB21         53
#define PIN_PB22         54
#define PIN_PB23         55
#define PIN_PB24         56
#define PIN_PB25         57
#define PIN_PB26         58
#define PIN_PB27         59
#define PIN_PB28         60
#define PIN_PB29         61
#define PIN_PB30         62
#define PIN_PB31         63
#define PIN_PC0          64		// Bank C
#define PIN_PC1          65		// ...
#define PIN_PC2          66		// ..
#define PIN_PC3          67		// .
#define PIN_PC4          68
#define PIN_PC5          69
#define PIN_PC6          70
#define PIN_PC7          71
#define PIN_PC8          72
#define PIN_PC9          73
#define PIN_PC10         74
#define PIN_PC11         75
#define PIN_PC12         76
#define PIN_PC13         77
#define PIN_PC14         78
#define PIN_PC15         79
#define PIN_PC16         80
#define PIN_PC17         81
#define PIN_PC18         82
#define PIN_PC19         83
#define PIN_PC20         84
#define PIN_PC21         85
#define PIN_PC22         86
#define PIN_PC23         87
#define PIN_PC24         88
#define PIN_PC25         89
#define PIN_PC26         90
#define PIN_PC27         91
#define PIN_PC28         92
#define PIN_PC29         93
#define PIN_PC30         94
#define PIN_PC31         95
#define PIN_PD0          96		// Bank D
#define PIN_PD1          97		// ...
#define PIN_PD2          98		// ..
#define PIN_PD3          99		// .
#define PIN_PD4          100
#define PIN_PD5          101
#define PIN_PD6          102
#define PIN_PD7          103
#define PIN_PD8          104
#define PIN_PD9          105
#define PIN_PD10         106
#define PIN_PD11         107
#define PIN_PD12         108
#define PIN_PD13         109
#define PIN_PD14         110
#define PIN_PD15         111
#define PIN_PD16         112
#define PIN_PD17         113
#define PIN_PD18         114
#define PIN_PD19         115
#define PIN_PD20         116
#define PIN_PD21         117
#define PIN_PD22         118
#define PIN_PD23         119
#define PIN_PD24         120
#define PIN_PD25         121
#define PIN_PD26         122
#define PIN_PD27         123
#define PIN_PD28         124
#define PIN_PD29         125
#define PIN_PD30         126
#define PIN_PD31         127
#define PIN_PE0          128	// Bank E
#define PIN_PE1          129	// ...
#define PIN_PE2          130	// ..
#define PIN_PE3          131	// .
#define PIN_PE4          132
#define PIN_PE5          133
#define PIN_PE6          134
#define PIN_PE7          135
#define PIN_PE8          136
#define PIN_PE9          137
#define PIN_PE10         138
#define PIN_PE11         139
#define PIN_PE12         140
#define PIN_PE13         141
#define PIN_PE14         142
#define PIN_PE15         143
#define PIN_PE16         144
#define PIN_PE17         145
#define PIN_PE18         146
#define PIN_PE19         147
#define PIN_PE20         148
#define PIN_PE21         149
#define PIN_PE22         150
#define PIN_PE23         151
#define PIN_PE24         152
#define PIN_PE25         153
#define PIN_PE26         154
#define PIN_PE27         155
#define PIN_PE28         156
#define PIN_PE29         157
#define PIN_PE30         158
#define PIN_PE31         159


#endif /* #ifndef _ATSAMA5D3X_IOMUX_H__ */




#if defined(__QNXNTO__) && defined(__USESRCVERSION)
#include <sys/srcversion.h>
__SRCVERSION("$URL: http://svn.ott.qnx.com/product/branches/7.0.0/trunk/hardware/startup/lib/public/arm/atsama5d3x_iomux.h $ $Rev: 798438 $")
#endif
